Items
Delete Item
Permanently remove an item from your library.
DELETE
/
v1
/
items
/
{id}
curl -X DELETE https://api.getmatter.com/public/v1/items/itm_r9f3a \
-H "Authorization: Bearer mat_your_token_here"
response = requests.delete(
"https://api.getmatter.com/public/v1/items/itm_r9f3a",
headers={"Authorization": f"Bearer {token}"}
)
assert response.status_code == 204
(No content)
{
"error": {
"code": "not_found",
"message": "No item found with ID itm_r9f3a."
}
}
Path Parameters
string
required
The item ID. Example:
itm_r9f3a.Response
Returns204 No Content on success. The item and all associated data (annotations, tags) are permanently removed.
This action is irreversible. If you want to keep the item but move it out of your queue, update its status to
archive instead.curl -X DELETE https://api.getmatter.com/public/v1/items/itm_r9f3a \
-H "Authorization: Bearer mat_your_token_here"
response = requests.delete(
"https://api.getmatter.com/public/v1/items/itm_r9f3a",
headers={"Authorization": f"Bearer {token}"}
)
assert response.status_code == 204
(No content)
{
"error": {
"code": "not_found",
"message": "No item found with ID itm_r9f3a."
}
}
curl -X DELETE https://api.getmatter.com/public/v1/items/itm_r9f3a \
-H "Authorization: Bearer mat_your_token_here"
response = requests.delete(
"https://api.getmatter.com/public/v1/items/itm_r9f3a",
headers={"Authorization": f"Bearer {token}"}
)
assert response.status_code == 204
(No content)
{
"error": {
"code": "not_found",
"message": "No item found with ID itm_r9f3a."
}
}